aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNicolas Hillegeer <nicolas@hillegeer.com>2014-05-31 16:19:14 +0200
committerNicolas Hillegeer <nicolas@hillegeer.com>2014-05-31 16:41:23 +0200
commit7f9caaf30d8c3d1cc00b76a07d21d464823b5e38 (patch)
tree02e33489320cf3039ec7a2a666dfbecfaa436e85
parent7eae32b3a62c4e631088e58e542c3185a215f57e (diff)
downloadrneovim-7f9caaf30d8c3d1cc00b76a07d21d464823b5e38.tar.gz
rneovim-7f9caaf30d8c3d1cc00b76a07d21d464823b5e38.tar.bz2
rneovim-7f9caaf30d8c3d1cc00b76a07d21d464823b5e38.zip
travis/coverity: add coverity support
Run only on push to branch coverity-scan. We can use a cron script to do this 4 times a week (that's our allowance). NOTE: possible future improvements are: 1. Fold the build matrix item into another short one so we don't overburden travis. It's a little less clear but it should be nicer on the infrastructure. 2. Change the security token, one can do that from the coverity admin page. 3. Don't do the naive `make depend`, but use the prebuilt libraries.
-rw-r--r--.travis.yml16
-rwxr-xr-xscripts/travis.sh11
2 files changed, 21 insertions, 6 deletions
diff --git a/.travis.yml b/.travis.yml
index d883410123..703419200d 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -1,9 +1,15 @@
language: c
env:
- - TRAVIS_BUILD_TYPE=clang/asan
- - TRAVIS_BUILD_TYPE=gcc/ia32
- - TRAVIS_BUILD_TYPE=gcc/unittest
- - TRAVIS_BUILD_TYPE=clint
- - TRAVIS_BUILD_TYPE=api/python
+ global:
+ # The next declaration is the encrypted COVERITY_SCAN_TOKEN, created
+ # via the "travis encrypt" command using the project repo's public key
+ - secure: "QEz92NyItkzQu52kCFD928jEwUYnA2OIgSyeNrp+Y3gm5rOmSZerY8hGiXyNZxocap9+qIPCapRRYU3ZYKWZPeucWMLN3aIjxAFdhugKbnmNYE1jFugb6b8N3SxiX/3206NHXlYaz0OZhh6OBAFmPUXamJC8OrWVgPNPo7wv4UQ="
+ matrix:
+ - TRAVIS_BUILD_TYPE=clang/asan
+ - TRAVIS_BUILD_TYPE=gcc/ia32
+ - TRAVIS_BUILD_TYPE=gcc/unittest
+ - TRAVIS_BUILD_TYPE=clint
+ - TRAVIS_BUILD_TYPE=api/python
+ - TRAVIS_BUILD_TYPE=coverity
script:
- ./scripts/travis.sh
diff --git a/scripts/travis.sh b/scripts/travis.sh
index b6632acb10..4b908ac2f4 100755
--- a/scripts/travis.sh
+++ b/scripts/travis.sh
@@ -77,7 +77,16 @@ fi
# for more information.
MAKE_CMD="make -j2"
-if [ "$TRAVIS_BUILD_TYPE" = "clang/asan" ]; then
+if [ "$TRAVIS_BUILD_TYPE" = "coverity" ]; then
+ curl -s https://scan.coverity.com/scripts/travisci_build_coverity_scan.sh |
+ COVERITY_SCAN_PROJECT_NAME="neovim/neovim" \
+ COVERITY_SCAN_NOTIFICATION_EMAIL="coverity@aktau.be" \
+ COVERITY_SCAN_BRANCH_PATTERN="coverity-scan" \
+ COVERITY_SCAN_BUILD_COMMAND_PREPEND="$MAKE_CMD deps" \
+ COVERITY_SCAN_BUILD_COMMAND="$MAKE_CMD nvim" \
+ bash
+ exit $?
+elif [ "$TRAVIS_BUILD_TYPE" = "clang/asan" ]; then
if [ ! -d /usr/local/clang-3.4 ]; then
echo "Downloading clang 3.4..."
sudo sh <<- "EOF"